package com.extedu.ticketson.dao.internal;

import java.util.List;

import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.hibernate3.HibernateTemplate;
import org.springframework.orm.hibernate3.support.HibernateDaoSupport;
import org.springframework.stereotype.Repository;

import com.extedu.ticketson.dao.Ticket;
import com.extedu.ticketson.dao.capi.TicketDAO;

@Repository
public class TicketDAOImpl  implements TicketDAO {

	@Autowired
	private SessionFactory sessionFactory;

	
	public void add(Ticket ticket) {
		sessionFactory.getCurrentSession().saveOrUpdate(ticket);
	}

	public void remove(Integer id) {
		Ticket ticket = (Ticket) sessionFactory.getCurrentSession().load(Ticket.class, id);
		sessionFactory.getCurrentSession().delete(ticket);
	}

	public void update(Ticket ticket) {
		sessionFactory.getCurrentSession().update(ticket);
	}

	public Ticket getByID(Integer id) {
		return (Ticket) sessionFactory.getCurrentSession().load(Ticket.class, id);
	}

	@SuppressWarnings("unchecked")
	public List<Ticket> list() {
		return sessionFactory.getCurrentSession().find("from Ticket");
	}

}
