package com.extedu.ticketson.dao.internal;

import java.util.List;

import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.extedu.ticketson.dao.User;
import com.extedu.ticketson.dao.capi.UserDAO;

@Repository
public class UserDAOImpl implements UserDAO {

	@Autowired
	private SessionFactory sessionFactory;
	
	public void addUser(User user) {
		sessionFactory.getCurrentSession().save(user);
	}

	@SuppressWarnings("unchecked")
	public List<User> listUser() {
		
		return sessionFactory.getCurrentSession()
				.createQuery("from User").list();
	}

	public User getUserById(Integer id) {
		
		return (User) sessionFactory.getCurrentSession()
				.load(User.class, id);
	}
	@Deprecated
	public void removeUser(Integer id) {
		User user = (User) sessionFactory.getCurrentSession().load(User.class, id);
		
		if(user != null)
		{
			sessionFactory.getCurrentSession().delete(user);
		}
		
	}

}
