<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@taglib uri="http://www.springframework.org/tags/form" prefix="form"%>



<html>
<head>
    <title>TicketOn Tickets</title>
</head>
<body>
 
<h2>TicketOn Tickets</h2>
 
<form:form method="post" action="add.html" commandName="ticket">
 
    <table>
    <tr>
        <td><form:label path="user.id">ID</form:label></td>
        <td><form:input path="user.id" /></td>
    </tr>
    <tr>
        <td><form:label path="subject">subject</form:label></td>
        <td><form:input path="subject" /></td>
    </tr>
   
    <tr>
        <td colspan="2">
            <input type="submit" value="add"/>
        </td>
    </tr>
</table>
</form:form>
 
<h3>Users</h3>
<c:if  test="${not empty ticketList}">
<table>
<tr>
    <th>Id</th>
    <th>subject</th>
    <th>user_ID</th>
    <th>&nbsp;</th>
</tr>
<c:forEach items="${ticketList}" var="ticket">
    <tr>
    	
        <td><c:out value="${ticket.id}"/></td>
        <td><c:out value="${ticket.subject}"/></td>
        <td><c:out value="${ticket.user.id}"/></td>
        <td><a href="delete/<c:out value="${ticket.id}"/>">delete</a></td> 
    </tr>
</c:forEach>
</table>
</c:if>
 
</body> 	
</html>


