<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@taglib uri="http://www.springframework.org/tags/form" prefix="form"%>



<html>
<head>
    <title>TicketOn Users</title>
</head>
<body>
 
<h2>TicketOn Users</h2>
 
<form:form method="post" action="add.html" commandName="user">
 
    <table>
    <tr>
        <td><form:label path="login"><spring:message code="label.login"/></form:label></td>
        <td><form:input path="login" /></td>
    </tr>
    <tr>
        <td><form:label path="password"><spring:message code="label.password"/></form:label></td>
        <td><form:input path="password" /></td>
    </tr>
   
    <tr>
        <td colspan="2">
            <input type="submit" value="<spring:message code="label.adduser"/>"/>
        </td>
    </tr>
</table>
</form:form>
 
<h3>Users</h3>
<c:if  test="${not empty listUser}">
<table>
<tr>
    <th>Id</th>
    <th>Login</th>
    <th>Password</th>
    <th>&nbsp;</th>
</tr>
<c:forEach items="${listUser}" var="userF">
    <tr>
    	
        <td><c:out value="${userF.id}"/></td>
        <td><c:out value="${userF.login}"/></td>
        <td><c:out value="${userF.password}"/></td>
        <%-- <td><a href="delete/<c:out value="${userF.id}"/>">delete</a></td> --%>
    </tr>
</c:forEach>
</table>
</c:if>
 
</body> 	
</html>


